%define  patch_name kernel-feat-core-lowlatency

Name: %{patch_name}
Version: 2004.05.15
Release: alt1
Summary: %patch_name kernel patch - low latency patch
License: GPL
Group: Development/Other
BuildArch: noarch
Source1: 2.4.25-low-latency.patch
Source2: 01_kernel-feat-core-am9.patch
Source3: 02_kernel-feat-core-domains.patch
Source4: 03_kernel-feat-core-schedrange.patch
Source5: 04_kernel-feat-core-cfgionice.patch
Source6: 05_kernel-feat-core-schedioprio.patch
Source7: 06_kernel-feat-core-staircase5.patch
Source8: 07_kernel-feat-core-batch.patch
Source9: 08_kernel-feat-core-iso.patch


Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires:	kernel-build-tools >= 0.6-alt1

%description
Low latency kernel patch

%install
mkdir -p %patches_dir/%patch_name/2.4
mkdir -p %patches_dir/%patch_name/2.6

cp -a %SOURCE1 %patches_dir/%patch_name/2.4/

cp -a %SOURCE2 %patches_dir/%patch_name/2.6/
cp -a %SOURCE3 %patches_dir/%patch_name/2.6/
cp -a %SOURCE4 %patches_dir/%patch_name/2.6/
cp -a %SOURCE5 %patches_dir/%patch_name/2.6/
cp -a %SOURCE6 %patches_dir/%patch_name/2.6/
cp -a %SOURCE7 %patches_dir/%patch_name/2.6/
cp -a %SOURCE8 %patches_dir/%patch_name/2.6/
cp -a %SOURCE9 %patches_dir/%patch_name/2.6/

%files

%dir %attr(755,root,root) %_usrsrc/kernel/patches/%patch_name/
%dir %attr(755,root,root) %_usrsrc/kernel/patches/%patch_name/2.4
%dir %attr(755,root,root) %_usrsrc/kernel/patches/%patch_name/2.6

%attr(644,root,root) %_usrsrc/kernel/patches/%patch_name/2.4/*
%attr(644,root,root) %_usrsrc/kernel/patches/%patch_name/2.6/*

%changelog
* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt1
- Updated patch version to 2.6.6 kernel

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.10-alt1
- Fixed package version (adapted to policy)

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt2
- Fixed kernel version labels

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt1
- Updated patch for 2.4 kenrel series to 2.4.25 version
- Added patches for 2.6.5 kenrel series

* Tue Nov 11 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt2
- Some patch adaptation

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt1
- Updated to 2.4.22 kernel patch

* Tue Jul 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt2
- Adapted to kernel-feat-fs-xfs patch

* Mon Jul 07 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt1
- Update to patch release for 2.4.21

* Thu May 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt0.1
- adapted to kernel policy 
